LMDE BREAKAGES - (Tracking SID!) -{CLOSED}

Post your update and upgrade related errors here
Forum rules
Before you post please read this

Re: LMDE BREAKAGES - (Tracking SID!) - Jul 19th

Postby gcp on Fri Nov 02, 2012 5:56 pm

Updating to libxtables9 (1.4.16.3-3) + iptables (1.4.16.3-3) breaks iptables. :oops:
There is a duplicate file in both packages.
<login2 debianSID><sudo apt-get dist-upgrade><DONTTHINK><ENTER><WHOCARES><ENTER><OOHHNOO!><HAVENOBACKUP,IM-A-MAN><reinstalling,Windowslike...>
User avatar
gcp
Level 1
Level 1
 
Posts: 27
Joined: Sat Jul 02, 2011 6:24 am

Linux Mint is funded by ads and donations.
 

Re: LMDE BREAKAGES - (Tracking SID!) - Jul 19th

Postby GeneC on Fri Nov 02, 2012 7:03 pm

I can confirm the above.... :(

NOTE: aptlists bugs misses this completely..

Code: Select all
E: /var/cache/apt/archives/libxtables9_1.4.16.3-3_amd64.deb: trying to overwrite '/lib/libxtables.so.9.0.0', which is also in package iptables 1.4.16.3-1


Using "Fix Broken Packages" in Synaptic, yields a fix.
Code: Select all
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
(Reading database ... 159763 files and directories currently installed.)
Unpacking libxtables9 (from .../libxtables9_1.4.16.3-3_amd64.deb) ...
Setting up libxtables9 (1.4.16.3-3) ...
Setting up iptables (1.4.16.3-3) ...


Code: Select all
gene@zordon:~$ apt-cache policy libxtables9
libxtables9:
  Installed: 1.4.16.3-3
  Candidate: 1.4.16.3-3
  Version table:
 *** 1.4.16.3-3 0
        500 http://http.us.debian.org/debian/ unstable/main amd64 Packages
        100 /var/lib/dpkg/status


Code: Select all
gene@zordon:~$ apt-cache policy iptables
iptables:
  Installed: 1.4.16.3-3
  Candidate: 1.4.16.3-3
  Version table:
 *** 1.4.16.3-3 0
        500 http://http.us.debian.org/debian/ unstable/main amd64 Packages
        100 /var/lib/dpkg/status
GeneC

AMD Phenom2x4 3.2 ghz, 12GB DDR3, Nvidia GTX 460

Qiana (Cinnamon)
Sparky XFCE (Debian Testing)
Sparky Gnome 3.14 (SID)
EvolveOS (Budgie)
User avatar
GeneC
Level 7
Level 7
 
Posts: 1565
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE BREAKAGES - (Tracking SID!) - Jul 19th

Postby GeneC on Fri Nov 02, 2012 7:14 pm

After several months of calm in SID, there appears to be more trouble today.... :D

BEWARE!

Earlier today, I put on hold ifupdown

Code: Select all
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
critical bugs of ifupdown (0.7.3 -> 0.7.4) <unfixed>
 #692110 - [ifupdown] ifupdown renders system unbootable
Summary:
 ifupdown(1 bug)
Are you sure you want to install/upgrade the above packages? [Y/n/?/...] n
GeneC

AMD Phenom2x4 3.2 ghz, 12GB DDR3, Nvidia GTX 460

Qiana (Cinnamon)
Sparky XFCE (Debian Testing)
Sparky Gnome 3.14 (SID)
EvolveOS (Budgie)
User avatar
GeneC
Level 7
Level 7
 
Posts: 1565
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE BREAKAGES - (Tracking SID!) - Jul 19th

Postby cwwgateway on Fri Nov 02, 2012 8:23 pm

The synaptic fix broken packages works for me too for iptables, and I've held ifupdown.
Dell XPS 15 l502x - Debian Testing 64-bit NetInst Xfce, SolydX 64-bit Debian Testing, SolydK 64-bit SolydXK Testing
Old Gateway Pentium 4 Desktop - Arch Linux 64-bit Xfce and SolydX 32-bit Sid
cwwgateway
Level 5
Level 5
 
Posts: 839
Joined: Fri Nov 11, 2011 10:44 pm

Re: LMDE BREAKAGES - (Tracking SID!) - Jul 19th

Postby gcp on Sat Nov 03, 2012 2:45 am

nautilus-open-terminal rendered useless by update

gir1.2-gdesktopenums-3.0:amd64 (3.4.2-1, 3.4.2-2)
gsettings-desktop-schemas:amd64 (3.4.2-1, 3.4.2-2)

It starts the Terminal, but always in your home-path,
no more in the actual path, what was the intention of this plugin.
Rolling back and pinning both packages solved this for me.
Your have to restart Nautilus.

I think they broke it by touching "Use x-terminal-emulator as default terminal":

http://packages.qa.debian.org/g/gsettings-desktop-schemas/news/20121101T144757Z.html
Changes:
gsettings-desktop-schemas (3.4.2-2) unstable; urgency=low
.
[ Jeremy Bicha ]
* debian/gsettings-desktop-schemas.gsettings-override:
- Use x-terminal-emulator as default terminal
.
[ Josselin Mouette ]
* 01_no_metacity_theme.patch: new patch. Do not convert the metacity
theme, because we don’t convert other theme settings, and Clearlooks
doesn’t exist anymore.

-------------------------------
Seems to be time to try Nemo...
My Desktop is Xfce with Nautilus as Desktopmanager and Compiz,
to get that 3D-Cube and wobbly windows, LOL.
https://plus.google.com/u/0/+LinusTorvalds/posts/DbmEE8kXLDA
<login2 debianSID><sudo apt-get dist-upgrade><DONTTHINK><ENTER><WHOCARES><ENTER><OOHHNOO!><HAVENOBACKUP,IM-A-MAN><reinstalling,Windowslike...>
User avatar
gcp
Level 1
Level 1
 
Posts: 27
Joined: Sat Jul 02, 2011 6:24 am

Re: LMDE BREAKAGES - (Tracking SID!) - Jul 19th

Postby GeneC on Sat Nov 03, 2012 7:45 am

Another update to iptables/libxtables9 this morning installs with no issues.

Code: Select all
Commit Log for Sat Nov  3 07:41:57 2012

Upgraded the following packages:
iptables (1.4.16.3-3) to 1.4.16.3-4
libxtables9 (1.4.16.3-3) to 1.4.16.3-4
GeneC

AMD Phenom2x4 3.2 ghz, 12GB DDR3, Nvidia GTX 460

Qiana (Cinnamon)
Sparky XFCE (Debian Testing)
Sparky Gnome 3.14 (SID)
EvolveOS (Budgie)
User avatar
GeneC
Level 7
Level 7
 
Posts: 1565
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: critical bugs of ifupdown (0.7.3 -> 0.7.4) <unfixed>

Postby GeneC on Sat Nov 03, 2012 11:33 am

FYI

Today I decided to test the supposed ifupdown bug.
It upgraded and re-booted with no issues.

Code: Select all
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
critical bugs of ifupdown (0.7.3 -> 0.7.4) <unfixed>
 #692110 - [ifupdown] ifupdown renders system unbootable
Summary:
 ifupdown(1 bug)
Are you sure you want to install/upgrade the above packages? [Y/n/?/...] y
(Reading database ... 159769 files and directories currently installed.)
Preparing to replace ifupdown 0.7.3 (using .../ifupdown_0.7.4_amd64.deb) ...
Unpacking replacement ifupdown ...
Processing triggers for man-db ...
Setting up ifupdown (0.7.4) ...
Installing new version of config file /etc/network/if-down.d/upstart ...
Installing new version of config file /etc/network/if-up.d/upstart ...
GeneC

AMD Phenom2x4 3.2 ghz, 12GB DDR3, Nvidia GTX 460

Qiana (Cinnamon)
Sparky XFCE (Debian Testing)
Sparky Gnome 3.14 (SID)
EvolveOS (Budgie)
User avatar
GeneC
Level 7
Level 7
 
Posts: 1565
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE BREAKAGES - (Tracking SID!) - Jul 19th

Postby Regulus74 on Sat Nov 03, 2012 12:46 pm

ifupdown issue only affects users with upstart
Arch Linux user
User avatar
Regulus74
Level 2
Level 2
 
Posts: 62
Joined: Mon Oct 03, 2011 6:07 pm
Location: Mantova - Italy

Re: LMDE BREAKAGES - (Tracking SID!) - Jul 19th

Postby xircon on Sat Nov 03, 2012 7:10 pm

I seem to not be getting notifications of posts on this thread........ Hmmmmm.

Problems today with libv4l-0/libv4lconvert0 - wants to remove loads of stuff.
Dell Inspiron N5010 / Core I5 / ATI Mobility Radeon HD5400, LMDE Tracking Sid & Cinnamon Desktop
"Ubuntu is an African word meaning 'I can't configure Debian'"
User avatar
xircon
Level 5
Level 5
 
Posts: 775
Joined: Sun Aug 01, 2010 7:59 am
Location: Sheffield, UK

Re: LMDE BREAKAGES - (Tracking SID!) - Jul 19th

Postby GeneC on Sat Nov 03, 2012 7:16 pm

Hey Steve.. :)

Just updated them with no removals.

Code: Select all
Commit Log for Sat Nov  3 19:16:35 2012


Upgraded the following packages:
accountsservice (0.6.21-6) to 0.6.21-7
ifupdown (0.7.4) to 0.7.5
libaccountsservice0 (0.6.21-6) to 0.6.21-7
libv4l-0 (0.8.8-3) to 0.8.9-1
libv4lconvert0 (0.8.8-3) to 0.8.9-1
GeneC

AMD Phenom2x4 3.2 ghz, 12GB DDR3, Nvidia GTX 460

Qiana (Cinnamon)
Sparky XFCE (Debian Testing)
Sparky Gnome 3.14 (SID)
EvolveOS (Budgie)
User avatar
GeneC
Level 7
Level 7
 
Posts: 1565
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE BREAKAGES - (Tracking SID!) - Jul 19th

Postby xircon on Sat Nov 03, 2012 7:43 pm

Notifications working :) again.

Code: Select all
The following packages will be REMOVED:
  google-earth-stable ia32-crossover ia32-libs lib32v4l-0 sp-auth teamviewer7 tv-maxe


Perhaps I need to go multiarch?????
Dell Inspiron N5010 / Core I5 / ATI Mobility Radeon HD5400, LMDE Tracking Sid & Cinnamon Desktop
"Ubuntu is an African word meaning 'I can't configure Debian'"
User avatar
xircon
Level 5
Level 5
 
Posts: 775
Joined: Sun Aug 01, 2010 7:59 am
Location: Sheffield, UK

Re: LMDE BREAKAGES - (Tracking SID!) - Jul 19th

Postby GeneC on Sat Nov 03, 2012 7:49 pm

Hmm!
Google Earth and ia32libs.
I haven't been able to run Google Earth on my SID installs since using SMXI to install Nvidia.
The ia32libs, and nvidia glx-ia32 from synaptic break the SMXI Nvidia (304.60)?

I have been using multiarch though. It might be worth a try?
GeneC

AMD Phenom2x4 3.2 ghz, 12GB DDR3, Nvidia GTX 460

Qiana (Cinnamon)
Sparky XFCE (Debian Testing)
Sparky Gnome 3.14 (SID)
EvolveOS (Budgie)
User avatar
GeneC
Level 7
Level 7
 
Posts: 1565
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE BREAKAGES - (Tracking SID!) - Jul 19th

Postby zerozero on Sat Nov 03, 2012 7:54 pm

Steve,
i think it's the multiarch support
Code: Select all
v4l-utils (0.8.9-1) unstable; urgency=low

  Beginning with the Wheezy release libv4l-0 will support multiarch.
  As a result of the new triplet library directory you need to update
  any preload paths. For example on an i386 system the following line

  LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so

  must be changed into

  LD_PRELOAD=/usr/lib/i386-linux-gnu/libv4l/v4l1compat.so

  Another effect of the multiarch transition is the deprecation of the
  lib32v4l-0 package to preload the i386 version of libv4l on amd64
  systems. This preloading is necessary for some webcams to work properly
  with Skype. To preload libv4l on Wheezy you have to install the i386
  version of libv4l-0 the multiarch way:

  dpkg --add-architecture i386
  apt-get install libv4l-0:i386

  Now you can preload the library from the new location:

Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6489
Joined: Tue Jul 07, 2009 2:29 pm

Re: LMDE BREAKAGES - (Tracking SID!) - Jul 19th

Postby GeneC on Sat Nov 03, 2012 7:57 pm

GeneC

AMD Phenom2x4 3.2 ghz, 12GB DDR3, Nvidia GTX 460

Qiana (Cinnamon)
Sparky XFCE (Debian Testing)
Sparky Gnome 3.14 (SID)
EvolveOS (Budgie)
User avatar
GeneC
Level 7
Level 7
 
Posts: 1565
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE BREAKAGES - (Tracking SID!) - Jul 19th

Postby xircon on Sat Nov 03, 2012 8:01 pm

May give it a go - new (ish) job involves working shifts, so don't have the time to play like I used too. Need time to clonezilla etc etc. Will pin for now. Not bothered about removing most of the packages, but Crossover means I will never have to boot Windows ever again (to use Excel), so don't want to lose that.

Cheers

Steve

:Edit: Cheers guys - see above!
Dell Inspiron N5010 / Core I5 / ATI Mobility Radeon HD5400, LMDE Tracking Sid & Cinnamon Desktop
"Ubuntu is an African word meaning 'I can't configure Debian'"
User avatar
xircon
Level 5
Level 5
 
Posts: 775
Joined: Sun Aug 01, 2010 7:59 am
Location: Sheffield, UK

Re: LMDE BREAKAGES - (Tracking SID!) - Jul 19th

Postby cwwgateway on Sun Nov 18, 2012 12:19 pm

How often does Cinnamon break in Sid? I want to do a Sid install with Cinnamon, but I don't want Cinnamon to continuously break. It appears that there's an actual debian sid package for cinnamon - http://packages.debian.org/sid/main/cinnamon. I don't know if this package will be made to work with newer releases of gnome because it is made for sid. I also don't know if I'd be better off simply installing cinnamon from the mint repos. The debian packages appear to be in their early stages, as there is no nemo (I guess they probably work with nautilus). Anyway, I'm basically wondering how you'd suggest using Cinnamon with Sid (if at all) to avoid breakages.

Edit: the debian cinnamon packages do use nautilus for the desktop
Last edited by cwwgateway on Sun Nov 18, 2012 12:31 pm, edited 1 time in total.
Dell XPS 15 l502x - Debian Testing 64-bit NetInst Xfce, SolydX 64-bit Debian Testing, SolydK 64-bit SolydXK Testing
Old Gateway Pentium 4 Desktop - Arch Linux 64-bit Xfce and SolydX 32-bit Sid
cwwgateway
Level 5
Level 5
 
Posts: 839
Joined: Fri Nov 11, 2011 10:44 pm

Re: LMDE BREAKAGES - (Tracking SID!) - Jul 19th

Postby GeneC on Sun Nov 18, 2012 12:31 pm

cww

absolutely no problems at all with Cinnamon in SID
Code: Select all
gene@zordon:~$ inxi -F
System:    Host: zordon Kernel: 3.6.0-6.dmz.1-liquorix-amd64 x86_64 (64 bit)
           Desktop: Cinnamon 1.6.4  Distro: Debian unstable SID
Machine:   Mobo: ASUSTeK model: M4A88TD-M/USB3 version: Rev X.0x Bios: American Megatrends version: 1501 date: 08/09/2012
CPU:       Quad core AMD Phenom II X4 955 (-MCP-) cache: 2048 KB flags: (lm nx sse sse2 sse3 sse4a svm)
           Clock Speeds: 1: 800.00 MHz 2: 3200.00 MHz 3: 800.00 MHz 4: 800.00 MHz
Graphics:  Card: NVIDIA GF104 [GeForce GTX 460] X.Org: 1.12.4 driver: nvidia Resolution: 1680x1050@60.0hz
           GLX Renderer: GeForce GTX 460/PCIe/SSE2 GLX Version: 4.3.0 NVIDIA 310.14
Audio:     Card-1: NVIDIA GF104 High Definition Audio Controller driver: snd_hda_intel Sound: ALSA ver: 1.0.25
           Card-2: Creative Labs CA0106 Soundblaster driver: snd_ca0106
Network:   Card: Realtek RTL8111/8168B PCI Express Gigabit Ethernet controller driver: r8169
           IF: eth1 state: up speed: 100 Mbps duplex: full mac: 48:5b:39:ee:b9:e7
Drives:    HDD Total Size: 322.0GB (2.2% used) 1: id: /dev/sda model: ST3320613AS size: 320.1GB
           2: USB id: /dev/sde model: CardReader_SD size: 2.0GB

Been a sweet ride... :D

Code: Select all
cinnamon:
  Installed: 1.6.4+lmde
  Candidate: 1.6.4+lmde
  Version table:
 *** 1.6.4+lmde 0
        700 http://packages.linuxmint.com/ debian/romeo amd64 Packages
        100 /var/lib/dpkg/status
     1.6.2-1 0
        500 http://http.us.debian.org/debian/ unstable/main amd64 Packages
     1.4.0-lmde2UP3 0
        700 http://packages.linuxmint.com/ debian/main amd64 Packages


click
Image

===================

EDIT:
I installed Cinnamon 1.6.4+lmde by enabling the ROMEO repo in Mint.
http://packages.linuxmint.com/list.php? ... bian#romeo
gene@zordon:~$ inxi -r
Repos: Active apt sources in file: /etc/apt/sources.list
deb [arch=amd64,i386] http://packages.linuxmint.com/ debian main upstream incoming backport romeo import #"Mint"
deb [arch=amd64,i386] http://http.us.debian.org/debian/ unstable main contrib non-free #"SID"
deb [arch=amd64,i386] http://www.deb-multimedia.org sid main non-free #"SID Multimedia"
deb [arch=amd64,i386] http://dl.google.com/linux/chrome/deb/ stable main #"Chrome"
deb [arch=amd64,i386] http://liquorix.net/debian/ sid main #"Liquorix


Nemo is also available.
GeneC

AMD Phenom2x4 3.2 ghz, 12GB DDR3, Nvidia GTX 460

Qiana (Cinnamon)
Sparky XFCE (Debian Testing)
Sparky Gnome 3.14 (SID)
EvolveOS (Budgie)
User avatar
GeneC
Level 7
Level 7
 
Posts: 1565
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE BREAKAGES - (Tracking SID!) - Jul 19th

Postby cwwgateway on Sun Nov 18, 2012 1:52 pm

Thank you GeneC. Also, that's a very nice desktop.

Edit: I've installed LMDE on my laptop and am now updating from UP 4 to 5. I think I liked it better back when UP were released once a month - you needed to download a lot less stuff for each update pack.
Dell XPS 15 l502x - Debian Testing 64-bit NetInst Xfce, SolydX 64-bit Debian Testing, SolydK 64-bit SolydXK Testing
Old Gateway Pentium 4 Desktop - Arch Linux 64-bit Xfce and SolydX 32-bit Sid
cwwgateway
Level 5
Level 5
 
Posts: 839
Joined: Fri Nov 11, 2011 10:44 pm

Re: LMDE BREAKAGES - (Tracking SID!) - Jul 19th

Postby zerozero on Sun Nov 18, 2012 9:14 pm

just a word of warning (regarding cinnamon) it happened already and can/will happen again
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6489
Joined: Tue Jul 07, 2009 2:29 pm

Re: LMDE BREAKAGES - (Tracking SID!) - Jul 19th

Postby cwwgateway on Sun Nov 18, 2012 9:53 pm

I've decided that I'll go with sid and, if Gnome Shell or/and Cinnamon break, I'll use MATE (I installed the 201204 ISO with MATE and Cinnamon).
Dell XPS 15 l502x - Debian Testing 64-bit NetInst Xfce, SolydX 64-bit Debian Testing, SolydK 64-bit SolydXK Testing
Old Gateway Pentium 4 Desktop - Arch Linux 64-bit Xfce and SolydX 32-bit Sid
cwwgateway
Level 5
Level 5
 
Posts: 839
Joined: Fri Nov 11, 2011 10:44 pm

Linux Mint is funded by ads and donations.
 
PreviousNext

Return to Update/Upgrade Issues

Who is online

Users browsing this forum: No registered users and 11 guests